Starmade | Feature QA: Stay attached to ship while being logged out
Resolved, needs quality check / confirm fix, UrgentPublic

Description

Quality check the following new feature:

Align or be in control of a ship that is moving.
Logout and login again at a later time.

Result until now:

  • left alone in space, far away from ship

New proposed behavior:

  • login in same relative position to ship (aligned)
  • ship can be moved by other player while logged out, and you still spawn on it

Details

Task Type
Feature
Testing Results
Affected Gamemode(s)
Multiplayer
Reproducible
uncertain
Last tested (version)
0.19485 dev
Category
Astronaut
First occurrence (version)
0.19331
Hardware/Software/System
OS-Specific
No
Hardware-Specific
No
Video Card Vendor
uncertain
AndyP created this task.Jul 21 2015, 3:41 PM
AndyP claimed this task.
AndyP changed the visibility from "Custom Policy" to "Public (No Login Required)".
AndyP changed the edit policy from "Task Author" to "Starmade (Project)".
AndyP changed Task Type from Bug to Feature.
AndyP changed Category from none/unspecified to Engine.
AndyP changed Affected Gamemode(s) from none/unspecified to Multiplayer.
AndyP set First occurrence (version) to 0.19331.
AndyP edited Serverconfig (server.cfg). (Show Details)
AndyP edited Clientconfig (settings.cfg). (Show Details)
AndyP added a subscriber: AndyP.
Restricted Application added a project: Issue Navigation. · View Herald TranscriptJul 21 2015, 3:41 PM
AndyP changed the task status from "Open" to "In Queue (Game)".
AndyP set Reproducible to uncertain.
AndyP set OS-Specific to No.
AndyP set Hardware-Specific to No.
AndyP set Video Card Vendor to uncertain.
Restricted Application edited projects, added Game Development, Starmade; removed Issue Navigation. · View Herald TranscriptJul 21 2015, 3:41 PM
AndyP moved this task from Backlog / Unclassed to schema on the Game Development board.
AndyP changed the task status from "In Queue (Game)" to "Resolved".
Restricted Application edited projects, added Quality Assurance; removed Game Development. · View Herald TranscriptJul 21 2015, 3:42 PM
AndyP added a parent task: Unknown Object (Maniphest Task).Jul 21 2015, 4:03 PM
AndyP added a subscriber: Gamel.Jul 21 2015, 4:38 PM

will do that with @Gamel tomorrow
we will go through every possible combination and cover all details for QA testing.

AndyP changed the task status from "Resolved" to "In Queue (Game)".Jul 22 2015, 2:09 PM

Working for most situations, however, the implemented mechanic requires the "ship" to not move in the time between

"login" and "spawn".

If someone is piloting the ship, the "client logging in" will be "fake-aligned", the client shows alignment, but the server drop the pilot in space.
(confirmed by moving to another sector, and teleporting, the other client did not follow)

So possibly needs a "teleport to the entity" right before spawning to not make the server discard the alignment.

Restricted Application edited projects, added Game Development; removed Quality Assurance. · View Herald TranscriptJul 22 2015, 2:09 PM
schema added a subscriber: schema.Aug 1 2015, 3:07 PM

should be fixed with 0.19356

AndyP changed the task status from "In Queue (Game)" to "Resolved".Aug 2 2015, 8:03 PM
Restricted Application edited projects, added Quality Assurance; removed Game Development. · View Herald TranscriptAug 2 2015, 8:03 PM
AndyP shifted this object from the S1 Public space to the S3 Starmade space.Aug 11 2015, 11:34 PM
AndyP changed the edit policy from "Starmade (Project)" to "All Users".
spunkie claimed this task.Sep 27 2015, 8:46 PM

-QA Testing-

Partial fix?

The logged out player is still aligned to the ship but when he comes back hes about 5 blocks back from where he logged out, if the ship is moving when he logs in. No sector border crossing is necessary for the shift to occur just the ship needs to be moving.

The 5 block shift backwards is not too bad but there are plenty ship designs where this would result in a player getting stuck in the utility spaces.
not only is this bad for low ranking faction members without permissions, but can also be abused by boarders attempting to bypass walls without use of a torch.
https://youtu.be/Lc40rMiEfL4

spunkie changed the task status from "Resolved" to "In Queue (Game)".Nov 7 2015, 7:33 AM
Restricted Application edited projects, added Game Development; removed Quality Assurance. · View Herald TranscriptNov 7 2015, 7:33 AM
spunkie set Last tested (version) to 0.19485 dev.Nov 7 2015, 8:02 AM
AndyP changed the task status from "In Queue (Game)" to "In Queue".Mar 10 2017, 5:07 PM
Restricted Application added a project: Engine. · View Herald TranscriptMar 10 2017, 5:07 PM
schema changed the task status from "In Queue" to "Resolved".Mar 13 2017, 5:42 PM

Fixed for the most part. Possibly still happening when logging out while sitting. However, collision avoidance is now functional and the player can also hit the up key

Restricted Application edited projects, added Quality Assurance; removed Game Development. · View Herald TranscriptMar 13 2017, 5:42 PM
AndyP changed Category from Engine to Astronaut.Mar 24 2017, 8:39 PM
Restricted Application edited projects, added Astronaut; removed Engine. · View Herald TranscriptMar 24 2017, 8:39 PM
AndyP moved this task from Backlog / Unclassed to Alpha on the Astronaut board.Mar 24 2017, 8:39 PM
lancake moved this task from Planned Feature to Archived on the Starmade board.Mar 29 2017, 1:16 PM